ContributorImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.example.impl

## Class ContributorImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.DescriptiveObjectImpl
    - - tv.amwa.maj.extensions.example.impl.ContributorImpl

- All Implemented Interfaces:
    Serializable, Cloneable, CommonConstants, Contributor, MediaEntity, MetadataObject, XMLSerializable, DescriptiveObject, InterchangeObject
  Direct Known Subclasses:
    OrganisationImpl, PersonImpl

      @MediaClass(definedName="Contributor",
                  uuid1=253759745,
                  uuid2=258,
                  uuid3=0,
                  uuid4={6,14,43,52,2,83,1,1},
                  description="Entity that creates or contributes to a resource.",
                  namespace="http://amwa.tv/maj/extensions/example",
                  prefix="eg",
                  symbol="Contributor")
      public abstract class ContributorImpl
      extends DescriptiveObjectImpl
      implements Contributor, CommonConstants, Serializable, XMLSerializable, Cloneable

  Entity that creates or contributes to a resource. Implementation.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

    - ### Fields inherited from interface tv.amwa.maj.constant.CommonConstants

      `AAF_METADICT_NAMESPACE, AAF_METADICT_PREFIX, AAF_XML_NAMESPACE, AAF_XML_PREFIX, ApplicationPluginObjectID, ApplicationPluginsID, MAX_NUM_RGBA_COMPS, MemberOfID, ObjectClassID, ParentClassID, PropertiesID, XMLClassIDAsAttributeName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContributorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contributor` | `clone()` Create a cloned copy of this interchange object.
    `String` | `getName()` Returns the name of the contributor.
    `void` | `setName(String name)` Sets the name of the contributor.

    - ### Methods inherited from class tv.amwa.maj.model.impl.DescriptiveObjectImpl

      `getLinkedDescriptiveObjectPluginID, setLinkedDescriptiveObjectPluginID`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.DescriptiveObject

      `getLinkedDescriptiveObjectPluginID, setLinkedDescriptiveObjectPluginID`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.io.xml.XMLSerializable

      `appendXMLChildren, getComment`

- - ### Constructor Detail

    - #### ContributorImpl

          public ContributorImpl()

  - ### Method Detail

    - #### getName

          @MediaProperty(definedName="Name",
                         uuid1=253759745,
                         uuid2=258,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,1},
                         typeName="UTF16String",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         description="Name of the contributor.",
                         symbol="Name")
          public String getName()

      Description copied from interface: `Contributor`

      Returns the name of the contributor.

      Specified by:
        `getName` in interface `Contributor`
      Returns:
        Name of the contributor.

    - #### setName

          @MediaPropertySetter(value="Name")
          public void setName(String name)
                                                          throws NullPointerException

      Description copied from interface: `Contributor`

      Sets the name of the contributor.

      Specified by:
        `setName` in interface `Contributor`
      Parameters:
        `name` - Name of the contributor.
      Throws:
        `NullPointerException` - Cannot set the required name with a `null` value.

    - #### clone

          public Contributor clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `Contributor`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `DescriptiveObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `DescriptiveObjectImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.